/* {outputFileName:floating-menu} */
/* We declare colors in a map as key: value
with the color name as the key and the hex
as the value

And we are goint to use it in _utils.scss */
.floating-menu-nav .floating-menu-nav__item {
  --max-width-icon: 95%;
  position: relative;
  display: grid;
  place-items: center;
  font-size: 1.8rem;
  font-weight: 600;
  color: #041655;
  text-align: center;
  -webkit-touch-callout: none;
}
.floating-menu-nav .floating-menu-nav__item .icon {
  font-size: 1.8rem;
  font-weight: 700;
}
.floating-menu-nav .floating-menu-nav__item .icon img {
  width: auto;
  max-width: var(--max-width-icon);
}
@media screen and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item .icon img {
    margin: auto;
  }
}
.floating-menu-nav .floating-menu-nav__item:nth-child(1) {
  --max-width-icon: 95%;
}
@media screen and (min-width: 600px) and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item:nth-child(1) {
    --max-width-icon: 75%;
  }
}
@media screen and (min-width: 992px) {
  .floating-menu-nav .floating-menu-nav__item:nth-child(1) {
    --max-width-icon: 95%;
  }
}
.floating-menu-nav .floating-menu-nav__item:nth-child(5) {
  --max-width-icon: 75%;
}
@media screen and (min-width: 600px) and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item:nth-child(5) {
    --max-width-icon: 55%;
  }
}
@media screen and (min-width: 992px) {
  .floating-menu-nav .floating-menu-nav__item:nth-child(5) {
    --max-width-icon: 95%;
  }
}
.floating-menu-nav .floating-menu-nav__item .icon-hover {
  position: absolute;
  z-index: -1;
  display: grid;
  padding-right: 16px;
  padding-left: 16px;
  font-size: 1.8rem;
  opacity: 0;
  transition: scale 400ms ease-in-out;
}
.floating-menu-nav .floating-menu-nav__item .icon-hover img {
  width: auto;
  max-width: var(--max-width-icon);
}
@media screen and (max-width: 500px) {
  .floating-menu-nav .floating-menu-nav__item .icon-hover img {
    margin: auto;
  }
}
@media screen and (min-width: 500px) and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item .icon-hover img {
    margin: auto;
  }
}
@media screen and (min-width: 992px) {
  .floating-menu-nav .floating-menu-nav__item .icon-hover {
    padding-right: 0;
    padding-left: 0;
  }
}
.floating-menu-nav .floating-menu-nav__item:hover {
  cursor: pointer;
  color: #3d43bf;
}
.floating-menu-nav .floating-menu-nav__item:hover .icon {
  z-index: -1;
  opacity: 0;
}
.floating-menu-nav .floating-menu-nav__item:hover .icon-hover {
  z-index: 1;
  scale: 0.9;
  opacity: 1;
}
@media screen and (min-width: 992px) {
  .floating-menu-nav .floating-menu-nav__item:hover .icon-hover {
    scale: 0.96;
  }
}
@media screen and (max-width: 600px) {
  .floating-menu-nav .floating-menu-nav__item {
    --max-width-icon: 60%;
  }
}
@media screen and (min-width: 600px) and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item {
    --max-width-icon: 50%;
  }
}
.floating-menu-nav .vertical-divisor {
  width: 1px;
  height: auto;
  background-color: #000;
}
@media screen and (max-width: 991px) {
  .floating-menu-nav .floating-menu-nav__item--legend {
    display: none;
  }
}
@media screen and (min-width: 992px) {
  .floating-menu-nav {
    position: fixed;
    z-index: 3;
    top: 49%;
    right: 5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 5rem;
    padding: 1rem 0.5rem;
    background-color: #fff;
    border-radius: 5rem;
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
  }
  .floating-menu-nav .floating-menu-nav__item {
    position: relative;
    display: grid;
    place-items: center;
    padding: 1rem 0.5rem;
  }
  .floating-menu-nav .floating-menu-nav__item .icon {
    display: grid;
    place-items: center;
    width: 3rem;
    height: 3rem;
    font-size: 1.2rem;
    text-align: center;
  }
  .floating-menu-nav .floating-menu-nav__item .icon-hover {
    place-items: center;
    width: 3rem;
    height: 3rem;
    font-size: 1.3rem;
    font-weight: 700;
  }
  .floating-menu-nav .floating-menu-nav__item .floating-menu-nav__item--legend {
    position: absolute;
    z-index: 1;
    right: 90%;
    overflow: hidden;
    width: 0;
    max-width: -moz-fit-content;
    max-width: fit-content;
    font-size: 1.1rem;
    font-weight: 600;
    line-height: 2.5;
    color: #000;
    text-transform: uppercase;
    white-space: nowrap;
    visibility: visible;
    background-color: #fff;
    transition: 0.3s all;
  }
  .floating-menu-nav .floating-menu-nav__item:hover .floating-menu-nav__item--legend {
    width: 100rem;
    padding: 0 2rem;
    visibility: visible;
  }
}